<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");

// Cliente
$customer_code = '';
if(isset($_REQUEST["customer_code"])){ 
	$customer_code=$_REQUEST["customer_code"]; 
}else{ 
	echo json_encode(["result"=>-1, "text"=>"No se ha indicado cliente"]);
	die;	
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}


if( $connNavision ) {
	 //echo "Conexion establecida con Navision.\r\n";
}else{
	 //echo "Conexion no se pudo establecer con Navision.\r\n";
	echo json_encode(["result"=>-2, "text"=>"No se puede conectar con la base de datos de Navision"]);
	die;
}

// Contado por defecto
$type = 0;

$sql = "SELECT cu.[Sales type] as sales_type FROM ".'dbo.[Ind. Campollano Ferreterķa S.L$Customer] cu '. 
	   "WHERE cu.[No.]='$customer_code'";

$stmt = sqlsrv_query( $connNavision, $sql);	
if(sqlsrv_errors(SQLSRV_ERR_ERRORS)!==NULL) {
	print_r(sqlsrv_errors(SQLSRV_ERR_ERRORS));
	echo json_encode(["result"=>-2, "text"=>"Ocurrio un error en la consulta SQL de Navision: Cliente tipo de pago"]);
	die;
}
if( $stmt !== false) {
	if($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)){			
		$type = intval($row['sales_type']);
	}else{
		echo json_encode(["result"=>-3, "text"=>"No se ha encontrado el cliente"]);
		die;
	}	
}else{
	echo json_encode(["result"=>-4, "text"=>"Error en consulta del cliente"]);
	die;
}	

header('Content-Type: application/json');
echo json_encode(["result"=>1, "text"=>"Tipo de pago obtenido correctamente", "data"=>["type"=>intval($type)-1]], JSON_PRETTY_PRINT);
?>
